Bug 24732 - Make DumpTemplateVars more readable
Summary: Make DumpTemplateVars more readable
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-25 18:51 UTC by Nick Clemens
Modified: 2020-04-14 04:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24732: Set DumpTemplateVars Dumper options for Indent and Sort (2.02 KB, patch)
2020-02-25 18:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24732: Set DumpTemplateVars Dumper options for Indent and Sort (2.07 KB, patch)
2020-02-27 04:12 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24732: Set DumpTemplateVars Dumper options for Indent and Sort (2.12 KB, patch)
2020-02-29 09:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-02-25 18:51:33 UTC
Currently we just use Dumper output directly, it would be helpful if we formatted things slightly
Comment 1 Nick Clemens 2020-02-25 18:54:08 UTC
Created attachment 99605 [details] [review]
Bug 24732: Set DumpTemplateVars Dumper options for Indent and Sort

To test:
1 - Enable sysprefs
    DumpTemplateVarsOpac
    DumpTemplateVarsIntranet
2 - View some pages on staff client and opac
3 - View the page source
4 - See a large mass of comments including the page vars at the top of the source
5 - Refresh page and note order of vars changes
6 - Apply patch
7 - View page source on some pages and note things are much easier to read
8 - Refresh page and note variable order does not change
Comment 2 ByWater Sandboxes 2020-02-27 04:12:13 UTC
Created attachment 99682 [details] [review]
Bug 24732: Set DumpTemplateVars Dumper options for Indent and Sort

To test:
1 - Enable sysprefs
    DumpTemplateVarsOpac
    DumpTemplateVarsIntranet
2 - View some pages on staff client and opac
3 - View the page source
4 - See a large mass of comments including the page vars at the top of the source
5 - Refresh page and note order of vars changes
6 - Apply patch
7 - View page source on some pages and note things are much easier to read
8 - Refresh page and note variable order does not change

Signed-off-by: George Williams <george@nekls.org>
Comment 3 Katrin Fischer 2020-02-29 09:15:44 UTC
Created attachment 99807 [details] [review]
Bug 24732: Set DumpTemplateVars Dumper options for Indent and Sort

To test:
1 - Enable sysprefs
    DumpTemplateVarsOpac
    DumpTemplateVarsIntranet
2 - View some pages on staff client and opac
3 - View the page source
4 - See a large mass of comments including the page vars at the top of the source
5 - Refresh page and note order of vars changes
6 - Apply patch
7 - View page source on some pages and note things are much easier to read
8 - Refresh page and note variable order does not change

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-03-02 10:43:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-03-31 22:48:41 UTC
enhancement no backported to 19.11.x
Comment 6 Joy Nelson 2020-04-01 13:57:07 UTC
welp, i changed my mind.  Nick asked so nicely that I applied to this to the 19.11.x branch for 19.11.05.  :D
Comment 7 Lucas Gass 2020-04-08 21:01:12 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-14 04:10:34 UTC
Enhancement will not be backported to 18.11.x series